Subject: Re: kpathsea cannot read `texmf.cnf' under Cygwin 1.1.4
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Mon, 30 Oct 2000 17:38:39 -0700

Jerome,

I found some of my notes from building teTeX which uses some of the same
utilities. Here's what I found:

/usr/local/bin/mktexlsr:
   if test -z "$COMSPEC" && test -z "$ComSpec"; then SEP=':'; else SEP=';';
fi

changed this to SEP=':'

/usr/local/teTeX/bin/i686-pc-cygwin/texconfig init

fixed by fixing the path separator in the texmf.cnf file and the one in
mktexlsr

found this by typing:
/usr/local/teTeX/bin/i686-pc-cygwin/kpsewhich -debug=4 -show-path=ls-R

it turns out that kpsewhich uses texmf.cnf to decide the path separator.

it turns out that the path separator was decided in the Makefile:
| sed -e 's%;%:%g' \

I could not determine what was causing the texmf.cnf to get overwritten.
It did not show up in the make_install.log file. The only way I got it to
work was to keep running cp texmf.cnf.orig texmf.cnf.

As it turns out all this was unnecessary because the only thing left to
do I had already done which was to run texconfig init.
Of course this only worked when I fixed the texmf.cnf which allows
kpathsea to work properly which allows mktex to work.

Please let me know if this information is useful.

Thanks,

--Kevin Wright
----- Forwarded by Kevin Wright/AMER/i2Tech on 10/30/00 03:53 PM -----
                                                                                                                   
                    Kevin Wright                                                                                   
                                         To:     Jerome Benoit <[email-masked]>                              
                    10/27/00 10:38       cc:     (bcc: Kevin Wright/AMER/i2Tech)                                   
                    AM                   Subject:     Re: kpathsea cannot read `texmf.cnf' under Cygwin 1.1.4      
                                         (Document link: Kevin Wright)                                             

Jerome,

I also struggled with getting web2c working under Cygwin. Looking back at
my notes, it appears the problem is in the mktexlsr which is designed to "
create or rebuild ls-R." There is a line regarding path separators:

if test -z "$COMSPEC" && test -z "$ComSpec"; then SEP=':'; else SEP=';'; fi

Since $COMSPEC is inherited from the environment I get:

$ echo $COMSPEC
C:\WINNT\system32\cmd.exe

Which causes the path separators to by ';' instead of ':'

After I got that fixed, I ran into several other problems. If I remember
correctly, I had to update the texmf.cnf file and set

TEXMFCNF = /usr/local/share/texmf/web2c/texmf.cnf

I had to do quite a bite of hacking to get this to work. Most of the
problems had to do with path separators and environment variables.

Please try these suggestions and let me know if they help. I'd like to come
up with a patch file. (Do you know the correct options to diff for this?)

--Kevin Wright
Sunnyvale, California

                                                                                                                           
                    Jerome Benoit                                                                                          
                    <[email-masked]        To:     Cygnus <[email-masked]>                             
                    >                            cc:                                                                       
                    Sent by:                     Subject:     kpathsea cannot read `texmf.cnf' under Cygwin 1.1.4          
                    cygwin-owner@sources.                                                                                  
                    redhat.com                                                                                             

                    10/22/00 09:11 PM                                                                                      

Jerome Benoit wrote:
>
> I have just tried to build Web2c under the latest Cygwin (1.1.4):
> it sems that kpathsea CANNOT read `texmf.cnf'
>
> in `/usr/local/src/web2c-7.3.3/texk/kpathsea'
> make check 2>&1 | tee make_check.log
>
> gives the attached file.
>
> Any idea ?
>
> Thanks in advance,
> Jerome BENOIT
>
>
------------------------------------------------------------------------
> ./kpsewhich -expand-var '$TEXMF'
> kdebug:fopen(./kpsewhich, r) => 0x0
> kdebug:Search path for cnf files (from compile-time paths.h)
> kdebug:  =
>
/usr/local/src/web2c-7.3.3/texk/kpathsea::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texk::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texk/kpathsea/share/texmf.local/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texk/share/texmf.local/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/share/texmf.local/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texk/kpathsea/texmf.local/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texk/texmf.local/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texmf.local/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texk/!

!
kpathse
a/share/texmf/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texk/share/texmf/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/share/texmf/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texk/kpathsea/texmf/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texk/texmf/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texmf/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c

> kdebug:  before expansion = {$SELFAUTOLOC,$SELFAUTODIR,$SELFAUTOPARENT}
{,{/share,}/texmf
{.local,}/web2c}:$TETEXDIR:/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c

> kdebug:  application override path = (none)
> kdebug:  application config file path = (none)
> kdebug:  texmf.cnf path = (none)
> kdebug:  compile-time path = {$SELFAUTOLOC,$SELFAUTODIR,$SELFAUTOPARENT}
{,{/share,}/texmf
{.local,}/web2c}:$TETEXDIR:/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c

> kdebug:  default suffixes = .cnf
> kdebug:  other suffixes = (none)
> kdebug:  search only with suffix = 0
> kdebug:  numeric format value = 8
> kdebug:  runtime generation program = (none)
> kdebug:  extra program args = (none)
> kdebug:  program enabled = 0
> kdebug:  program enable level = 0
> kdebug:start search(file=texmf.cnf, must_exist=1, find_all=1,
>
path=/usr/local/src/web2c-7.3.3/texk/kpathsea::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texk::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texk/kpathsea/share/texmf.local/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texk/share/texmf.local/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/share/texmf.local/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texk/kpathsea/texmf.local/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texk/texmf.local/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texmf.local/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/!

!
texk/kp
athsea/share/texmf/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texk/share/texmf/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/share/texmf/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texk/kpathsea/texmf/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texk/texmf/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c;/usr/local/src/web2c-7.3.3/texmf/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/

> web2c).
> kdebug:path element
/usr/local/src/web2c-7.3.3/texk/kpathsea::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c

=>
> kdebug:path element
/usr/local/src/web2c-7.3.3/texk::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c

=>
> kdebug:path element
/usr/local/src/web2c-7.3.3::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c

=>
> kdebug:path element
/usr/local/src/web2c-7.3.3/texk/kpathsea/share/texmf.local/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c

=>
> kdebug:path element
/usr/local/src/web2c-7.3.3/texk/share/texmf.local/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c

=>
> kdebug:path element
/usr/local/src/web2c-7.3.3/share/texmf.local/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c

=>
> kdebug:path element
/usr/local/src/web2c-7.3.3/texk/kpathsea/texmf.local/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c

=>
> kdebug:path element
/usr/local/src/web2c-7.3.3/texk/texmf.local/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c

=>
> kdebug:path element
/usr/local/src/web2c-7.3.3/texmf.local/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c

=>
> kdebug:path element
/usr/local/src/web2c-7.3.3/texk/kpathsea/share/texmf/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c

=>
> kdebug:path element
/usr/local/src/web2c-7.3.3/texk/share/texmf/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c

=>
> kdebug:path element
/usr/local/src/web2c-7.3.3/share/texmf/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c

=>
> kdebug:path element
/usr/local/src/web2c-7.3.3/texk/kpathsea/texmf/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c

=>
> kdebug:path element
/usr/local/src/web2c-7.3.3/texk/texmf/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c

=>
> kdebug:path element
/usr/local/src/web2c-7.3.3/texmf/web2c::/usr/local/share/texmf/web2c:/usr/local/share/texmf/web2c

=>
> kdebug:hash_lookup(TEXMFDBS.kpsewhich) => (nil)
> kdebug:hash_lookup(TEXMFDBS) => (nil)
> kdebug:Search path for ls-R files (from compile-time paths.h)
> kdebug:  = /usr/local/share/texmf:/var/tmp/texfonts
> kdebug:  before expansion = /usr/local/share/texmf:/var/tmp/texfonts
> kdebug:  application override path = (none)
> kdebug:  application config file path = (none)
> kdebug:  texmf.cnf path = (none)
> kdebug:  compile-time path = /usr/local/share/texmf:/var/tmp/texfonts
> kdebug:  default suffixes = ls-R
> kdebug:  other suffixes = (none)
> kdebug:  search only with suffix = 0
> kdebug:  numeric format value = 9
> kdebug:  runtime generation program = (none)
> kdebug:  extra program args = (none)
> kdebug:  program enabled = 0
> kdebug:  program enable level = 0
> kdebug:start search(file=ls-R, must_exist=1, find_all=1,
path=/usr/local/share/texmf:/var/tmp/texfonts).
> kdebug:path element /usr/local/share/texmf:/var/tmp/texfonts =>
> kdebug:search(ls-R) =>kdebug:variable: TEXMFLOG = /tmp/texmf.log
> kdebug:fopen(/tmp/texmf.log, a) => 0x45a10ac
>
> kdebug:start search(file=aliases, must_exist=1, find_all=1,
path=/usr/local/share/texmf:/var/tmp/texfonts).
> kdebug:search(aliases) =>
> kdebug:hash_lookup(TEXMF.kpsewhich) => (nil)
> kdebug:hash_lookup(TEXMF) => (nil)

--
Want to unsubscribe from this list?
Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]